function parameters = UIcluster(H, rmax, dim)
%Ask user to click on histogram to cluster hough space
subplot(1,3,1), imshow(H,[]);
subplot(1,3,2), plot(sum(H));
subplot(1,3,3), plot(sum(H'),1:dim+1);
subplot(1,3,2), [tx, a] = ginput(1);
subplot(1,3,3), [ty, a] = ginput(1);
tx=round(tx);
ty=round(ty);

[A,X]=max(H(1:ty, 1:tx));
[A,Y]=max(A);
a=[Y; X(Y)];

[A,X]=max(H(1:ty, tx:end));
[A,Y]=max(A);
b=[Y+tx-1; X(Y)];

[A,X]=max(H(ty:end, 1:tx));
[A,Y]=max(A);
c=[Y; X(Y)+ty-1];

[A,X]=max(H(ty:end, tx:end));
[A,Y]=max(A);
d=[Y+tx-1; X(Y)+ty-1];

parameters = [a b c d ];

rgrid = -rmax:(2*rmax/dim):rmax;
phigrid = -pi:(2*pi/dim):pi;
%phigrid = phigrid(dim/4+10:3*dim/4+10);

for a = 1:size(parameters)
    paramaters(1,a)=rgrid(parameters(1,a));
    parameters(2,a)=phigrid(parameters(2,a));
end